American Express Account Status Check Authorization
Use this information to process an American Express account status check authorization with EMV data for a nominal amount of 1.00 USD or more. The required function code is 190.
Endpoints
POST /pts/v2/payments
POST /pts/v2/payments
Example
{ "orderInformation": { "amountDetails": { "currency": "EUR", "totalAmount": "3.00" } }, "paymentInformation": { "card": { "type": "003" } }, "processingInformation": { "capture": false, "captureOptions": { "dateToCapture": "0901" }, "industryDataType": "transit", "commerceIndicator": "retail", "authorizationOptions": { "partialAuthIndicator": false, "deferredAuthIndicator": true, "aggregatedAuthIndicator": true } }, "pointOfSaleInformation": { "emv": { "tags": "9A032309019C01005F2A0209789F1A0203809F02060000000000009F03060000000000009F36020002820219C08408A000000025010901950500000080009F100706020103A400029F2608D89D7C3CA015E11C9F2701809F33030008889F34031F02029F3704A5CCF3EE9F6E04180000E05F340100", "cardSequenceNumber": "00" }, "catLevel": "2", "entryMode": "contactless", "trackData": ";374245XXXXXXXXXX=241270115041234500000?", "terminalId": "12345678", "terminalCapability": "5", "terminalPinCapability": "0" }, "clientReferenceInformation": { "comments": "TransitDA BAU nominal value auth", "code": "v7qWAImW6e", "partner": { "solutionId": "BUALWMZK", "thirdPartyCertificationNumber": "condue211609" }, "transactionId": "Fg1xkLJGMmmmvwbB9qWAImW6e" }}{ "_links": { "authReversal": { "method": "POST", "href": "/pts/v2/payments/6984001952686181104951/reversals" }, "self": { "method": "GET", "href": "/pts/v2/payments/6984001952686181104951" }, "capture": { "method": "POST", "href": "/pts/v2/payments/6984001952686181104951/captures" } }, "clientReferenceInformation": { "code": "v7qWAImW6e", "partner": { "solutionId": "BUALWMZK" }, "transactionId": "Fg1xkLJGMmmmvwbB9qWAImW6e" }, "id": "6984001952686181104951", "orderInformation": { "amountDetails": { "authorizedAmount": "3.00", "currency": "EUR" } }, "paymentAccountInformation": { "card": { "type": "003" } }, "paymentInformation": { "accountFeatures": { "category": "AX", "group": "0" }, "tokenizedCard": { "type": "003" }, "card": { "type": "003" } }, "pointOfSaleInformation": { "emv": { "tags": "9F2701809F34031F02025F340100" } }, "processorInformation": { "systemTraceAuditNumber": "037806", "approvalCode": "845614", "networktransactionId": "001032401292273", "retrievalReferenceNumber": "330009037806", "transactionId": "001032401292273", "responseCode": "00", "avs": { "code": "2" } }, "reconciliationId": "6984001952686181104951", "status": "AUTHORIZED", "submitTimeUtc": "2023-10-27T09:49:56Z"}| Field | Type | Description |
|---|---|---|
clientReferenceInformation.code | ||
clientReferenceInformation.comments | Set this field to TransitDA BAU nominal value auth. | |
clientReferenceInformation.partner.solutionId | provides the value for this field. | |
clientReferenceInformation.partner.thirdPartyCertificationNumber | provides the value for this field. | |
clientReferenceInformation.transactionId | ||
orderInformation.amountDetails.currency | ||
orderInformation.amountDetails.totalAmount | ||
paymentInformation.card.type | Set this field to 003. | |
pointOfSaleInformation.catLevel | Set this field to 2. | |
pointOfSaleInformation.emv.cardSequenceNumber | Set this field to 00. | |
pointOfSaleInformation.emv.tags | ||
pointOfSaleInformation.entryMode | Set this field to contactless. | |
pointOfSaleInformation.terminalCapability | Set this field to 5. | |
pointOfSaleInformation.terminalId | ||
pointOfSaleInformation.terminalPinCapability | Set this field to 0. | |
pointOfSaleInformation.trackData | ||
processingInformation.authorizationOptions.aggregatedAuthIndicator | Set this field to true. | |
processingInformation.authorizationOptions.deferredAuthIndicator | Set this field to true. | |
processingInformation.captureOptions.dateToCapture | ||
processingInformation.commerceIndicator | Set this field to retail. | |
processingInformation.industryDataType | Set this field to transit. |
Was this page helpful?
Thanks for your feedback!
Last published: September 29, 2026